// ftpops.h: interface for the ftpops class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FTPOPS_H__B239DAB5_40F6_41A8_B928_E2318A8A8F30__INCLUDED_)
#define AFX_FTPOPS_H__B239DAB5_40F6_41A8_B928_E2318A8A8F30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ftpops  
{
public:
	ftpops();
	virtual ~ftpops();

	bool  openSession();
	bool  openConnection(char *server, int port, char *username, char *password);
	
	char* getDirectory();
	bool  movetoDirectory(char *fullpath);
	bool  uploadFile(char *localFilename, char *remoteFilename);

private:

	HINTERNET	hSession, hConnection;
	char		dirnameBuffer[MAX_PATH];
	DWORD		dirnameLength;
	bool		connectionMade;

};

#endif // !defined(AFX_FTPOPS_H__B239DAB5_40F6_41A8_B928_E2318A8A8F30__INCLUDED_)
